// OLA scenario 2
// Ultrasonic Sensor I
// Created by Ampatzoglou I., Falagaras A., 2022

#include <LiquidCrystal.h>

LiquidCrystal lcd(8,9,4,5,6,7);

long duration;

void setup() {
  pinMode(13, OUTPUT);
  pinMode(12, INPUT);
}

void loop() {
   
   //pulse creation
   digitalWrite(13,LOW);
   delayMicroseconds(2);
   digitalWrite(13, HIGH);
   delayMicroseconds(10);
   digitalWrite(13, LOW);
   
   //time measuring in μsec
   duration = pulseIn(12, HIGH);
   
   //print time on lcd
   lcd.setCursor(0, 0);
   lcd.print(String("time= "));
   lcd.print(String(duration));
   lcd.println(String(" usec  "));
  
   delay(500);
}
